**This hashes file will be moving to [Github](https://github.com/classilla/tenfourfox). No further updates will occur on this copy.**

### **If there is not a padlock icon in the address bar or the address is not `https://code.google.com`, then this document could have been tampered with in-transit. Please verify that your browser securely accessed this document before using the hashes below.** ###

If you are downloading TenFourFox on a hostile or insecure network where data could be tampered with, or just want to make sure it downloaded correctly before filing a trouble ticket, you can certify your download with the hashes below.

To check the hash for your file, download it from SourceForge, _but do not decompress it_. Start `Terminal`. At the prompt, type (but **_do not press RETURN yet_**):

```
openssl dgst -ripemd160 
```

Drag the `.zip` file you downloaded into the `Terminal` window. Its path will be added to the command. Now press RETURN in the `Terminal` window. You should see a result like this:

```
RIPEMD160(TenFourFox7450-31.2.0.app.zip)= e6637dff473f68d2b4a4b6b920c70183d8658dea
```

Verify it in the table below (make sure you are looking at the right version and filename). If this matches, you can be very confident that your browser was downloaded correctly and was not tampered with during transit. You can continue with decompressing and installing it at this point.

Only the last two versions are displayed. You should always use the most current version if you are in a security-sensitive situation.

## Stable releases ##

**TenFourFox 38.2.0**

```
RIPEMD160(TenFourFoxG3-38.2.0.app.zip)= d2871dd97494c66a719091aca1994a21b3d5dbd8
RIPEMD160(TenFourFox7400-38.2.0.app.zip)= 6d47917ea26d21ea58ecc8d39622ba25aed6a1ef
RIPEMD160(TenFourFox7450-38.2.0.app.zip)= 506bbad403666fc8760f501e93993267ed6d93a5
RIPEMD160(TenFourFoxG5-38.2.0.app.zip)= 3e52f6007a014d5ab2b4adf063982f62469c8e0e
RIPEMD160(TenFourFox38E-changesets-20150805.zip)= 7569e39fb233a569257bcb177dc6f4893f14a0a9
```

**TenFourFox 31.8.0**

```
RIPEMD160(TenFourFoxG3-31.8.0.app.zip)= 123600c99b11172161a4bd0e422de61f951fdf05
RIPEMD160(TenFourFox7400-31.8.0.app.zip)= 7d70ff0848bcff3e1b2db0f88560c615d1dd5817
RIPEMD160(TenFourFox7450-31.8.0.app.zip)= 7d627d3aacb9dd16d03e2d2ce7021d203648fe54
RIPEMD160(TenFourFoxG5-31.8.0.app.zip)= 9f1d9110066b626360c7c7ae0e937e206bd48554
RIPEMD160(TenFourFox31E-changesets-20150507.zip)= aca414cdbc98b36cc79b8b5baa97c5ba19f83f79
```

## Unstable releases ##

**TenFourFox 38.1.1b2**

```
RIPEMD160(TenFourFoxG3-38.1.1b2.app.zip)= 5d20facb6708ddab95bc9a299dc65e351e0c7d49
RIPEMD160(TenFourFox7400-38.1.1b2.app.zip)= dee11ae0872ebc4e84ee4de0d735e41ea9061d15
RIPEMD160(TenFourFox7450-38.1.1b2.app.zip)= ac5bf13c2c114d4213b0107794b88d4cc51d07ae
RIPEMD160(TenFourFoxG5-38.1.1b2.app.zip)= 36c9b567d55e314e912ccc970fc66f98842a5e8f
RIPEMD160(TenFourFox38E-changesets-20150730.zip)= 4e4b0e46f4a9287fc41bd5b8509f361f69508897
```

**TenFourFox 38.0.1b1**

```
RIPEMD160(TenFourFoxG3-38.0.1b1.app.zip)= 144b5971cd29b02303a127ac2b766a620c23f0ed
RIPEMD160(TenFourFox7400-38.0.1b1.app.zip)= e33dc90abd80b402666aaf72904de1bde0e0da87
RIPEMD160(TenFourFox7450-38.0.1b1.app.zip)= 99f57326692a1f005ea3db8a2e5bfabbba2af47d
RIPEMD160(TenFourFoxG5-38.0.1b1.app.zip)= 19fa1236709134d558b4b6b9973ec2edb8cbdce3
RIPEMD160(TenFourFox38E-changesets-20150627.zip)= 923b65ca261f4638102b202521dd2789024203fb
```