Refer to [Releases - Mozilla Wiki](https://wiki.mozilla.org/Releases) for Mozilla release milestones we intend to mirror. **This document will change once source parity (see SupportLevels) is no longer possible.**

## TenFourFox 4: Beta phase ##

Done.

  * ~~beta 7~~ (released 8 November 2010)
  * ~~beta 8~~ (released 15 December 2010)
  * ~~beta 9~~ (released 12 January 2011)
  * Beta 10 was skipped.
  * ~~beta 11~~ (released 2 February 2011)
  * ~~beta 12~~ (released 23 February 2011). This is the final beta.
  * RCs were not released.
  * ~~TenFourFox 4.0 final (released 20 March 2011)~~ Retracted due to crash bug.
  * ~~TenFourFox 4.0 final~~ (released 23 March 2011). Tagged internally as 4.0r.
  * ~~TenFourFox 4.0 final~~ (released 24 March 2011). Tagged internally as 4.0s. Out-of-cycle security update. Note that the reported version is still 4.0.

## TenFourFox 4: Release phase ##

Pending Mozilla's work on Firefox 5, there were feature improvements to 10.4Fx 4.

  * ~~4.0.1pre "beta"~~ (released 15 April 2011). This includes the improved JavaScript nanojit and enables the first work on AltiVec content acceleration.
  * ~~4.0.1 "Macaw"~~ (released 22 April 2011).
  * ~~4.0.2pre~~ (build 1 released 15 May 2011, build 2 released 18 May 2011). Security, performance, stability and bug fix update. This does not correspond to any official Firefox release, as Mozilla is no longer maintaining Mozilla 2.0.
  * ~~4.0.2~~ (released 28 May 2011).
  * ~~4.0.3~~ (released 21 June 2011). Bug and security fix rollup to follow TenFourFox 5 final. This will be the last release of 10.4Fx 4.0. No new work will be done on this branch. This completes our transition to the Mozilla rapid release schedule.

## TenFourFox 5 ##

There are no more updates planned for 5.0.

  * ~~beta 1~~ (released 2 June 2011). Approximately corresponds to Firefox 5 beta 3. Introduces AltiVec-accelerated media scaling, JavaScript typed arrays, JavaScript acceleration for browser chrome and a revised build system.
  * ~~beta 2~~ (released 9 June 2011). AltiVec accelerated colour conversion. Bug fixes.
  * ~~RC/final~~ (released 18 June 2011). Converted to release on 21 June 2011.

## TenFourFox 6 ##

There are no more updates planned for 6.0.

  * ~~beta 1~~ (released 14 July 2011). Approximately corresponds to Firefox 6 beta 2. Introduces AltiVec-accelerated text processing and conversion and faster AltiVec colour conversion and media scaling. Plugins are explicitly turned off.
  * ~~RC/final (released 12 August 2011).~~ Retracted due to [issue 81](https://code.google.com/p/tenfourfox/issues/detail?id=81) and [issue 82](https://code.google.com/p/tenfourfox/issues/detail?id=82).
  * ~~RC/final~~ (released 16 August 2011). Tagged internally as 6.0r. Note that the reported version is still 6.0.
  * ~~6.0.1~~ (released 31 August 2011). Patch for DigiNotar malicious certificates.

## TenFourFox 7 ##

There are no more updates planned for 7.0.

  * ~~beta 1~~ (released 4 September 2011). Approximately corresponds to Firefox 7 beta 4.
  * ~~RC/final~~ (released 24 September 2011). Converted to release on 26 September 2011.

## TenFourFox 8 ##

There are no more updates planned for 8.0.

  * ~~beta 1~~ (released 8 October 2011). Approximately corresponds to Firefox 8 beta 2. Introduces AltiVec-accelerated JPEG decoding using ImageIO.
  * ~~RC/final~~ (released 5 November 2011). Converted to release on 7 November 2011.

## TenFourFox 9 ##

There are no more updates planned for 9.0.

  * ~~beta 1~~ (released 1 December 2011). Approximately corresponds to Firefox 9 beta 3. Introduces YARR regular expression JIT compilation and additional AltiVec algorithm conversions. Many bug fixes.
  * ~~RC/final~~ (released 17 December 2011). Secretly introduces JaegerMonkey JavaScript compilation (methodjit), turned off by default. Converted to release on 19 December 2011.
  * ~~9.0.1pre~~ (released 27 December 2011). Enables methodjit by default.

## TenFourFox 10 (stable) ##

10 was based on the Firefox ESR. Although it received some 10.4Fx feature work, it did not receive new Mozilla features, though it did receive critical security and bug fixes.

  * ~~beta 1~~ (released 8 January 2012). Additional AltiVec methods. Minor improvements to methodjit. Bug fixes.
  * ~~RC/final~~ (released 29 January 2012). Converted to release on 30 January 2012.
  * ~~10.0.1~~ (released 9 February 2012). Out-of-cycle security update. Bug fixes.
  * ~~10.0.2pre~~ (released 12 February 2012). Speed improvements to JavaScript JIT. Introduces G3/G4 and G5-specific JIT code.
  * ~~10.0.2~~ (released 17 February 2012). Out-of-cycle security update. Includes 10.0.2pre feature improvements.
  * ~~10.0.3pre~~ (released 24 February 2012). Bug fixes. Minor speed improvements to JavaScript JIT. Fixes WebM multicore acceleration.
  * ~~10.0.3RC~~ (released 7 March 2012). Additional bug fixes. No further feature development will be done on this branch. Converted to release on 12 March 2012.
  * ~~10.0.4~~ (released 21 April 2012). Converted to release on 23 April 2012.
  * ~~10.0.5~~ (released 2 June 2012). Official support for language packs, distributed as monkeypatch installers. Converted to release 4 June 2012.
  * ~~10.0.6~~ (released 14 July 2012). Bug fixes and improved performance. Converted to release on 16 July 2012.
  * ~~10.0.7~~ (released 24 August 2012). Converted to release on 27 August 2012.
  * ~~10.0.8~~ (released 6 October 2012). Converted to release on 8 October 2012.
  * ~~10.0.9~~ (released 12 October 2012). Out-of-cycle security update.
  * ~~10.0.10~~ (released 25 October 2012). Out-of-cycle security update.
  * ~~10.0.11~~ (released 15 November 2012).

Support for 10.0.x ended with 10.0.11. There are no more updates planned for 10.0.

## TenFourFox unstable (11-15) ##

Versions 11 through 15.0.1 inclusive were only released as betas.

  * ~~11 beta.~~ Released 13 March 2012. Bug fixes.
  * ~~12 beta.~~ Released 20 April 2012. New Azure CoreGraphics backend. Bug fixes.
  * ~~13 beta.~~ Released 30 May 2012. Improved performance by eliminating PIC code. Bug fixes.
  * ~~14 beta.~~ Released 13 July 2012.
  * ~~15 beta.~~ Released 23 August 2012. Improved typed array code. Further performance improvements.
  * ~~15.0.1.~~ Released 6 September 2012. Out-of-cycle release fixes a serious bug with private browsing mode.
  * 16.0 was skipped for 17-aurora.

## TenFourFox 17 (stable) ##

17 was also based on the Firefox ESR. Like 10ESR, although it received some 10.4Fx feature work, it did not receive new Mozilla features, though it did receive critical security and bug fixes.

This was the last release series to support building with Apple `gcc` 4.0.1 or 4.2.

  * ~~aurora 1~~ (released 26 September 2012). Bug fixes. Faster graphics stack.
  * ~~beta 1~~ (released 13 October 2012). Bug fixes.
  * ~~beta 2~~ (released 27 October 2012). Security and bug fixes.
  * ~~RC/final~~ (released 16 November 2012). Converted to release 19 November 2012.
  * ~~"17.0.1pre"~~ (released 24 November 2012). Improved threading performance.
  * ~~17.0.1~~ (released 30 November 2012). Out-of-cycle Mozilla bug fix release. Performance improvements.
  * ~~17.0.2~~ (released 6 January 2013). Font performance improvements and bug fixes. Converted to release 8 January 2013.
  * ~~17.0.3~~ (released 16 February 2013). Further multithreading performance improvements on multiprocessor Power Macs. Converted to release 18 February 2013.
  * ~~17.0.4~~ (released 8 March 2013). Out-of-cycle security update.
  * ~~17.0.5~~ (released 29 March 2013). Fixes IndexedDB support. Converted to release 1 April 2013.
  * ~~17.0.6~~ (released 10 May 2013). Includes canvas crash fix. Converted to release 13 May 2013.
  * ~~17.0.7~~ (released 21 June 2013). Includes colour management fixes. Converted to release 23 June 2013.
  * ~~17.0.8 (released 3 August 2013).~~ Retracted by Mozilla due to incomplete security fix.
  * ~~17.0.8~~ (released 5 August 2013). Tagged internally as 17.0.8r.
  * ~~17.0.9~~ (released 12 September 2013). Includes methodjit fixes. Converted to release 16 September 2013.
  * ~~17.0.10~~ (released 25 October 2013). Converted to release 28 October 2013.
  * ~~17.0.11~~ (released 14 November 2013). Out-of-cycle security update.

Support for 17.0.x ended with 17.0.11. There are no more updates planned for 17.0.

## TenFourFox unstable (19-22) ##

Versions 19 through 22 inclusive were only released as betas, including an extended 22 support branch that does not correspond to any official version of Firefox. This unstable branch mandated using <tt>gcc</tt> 4.6.3 and appropriate bintools, migrating from <tt>gcc</tt> 4.0.1/4.2 used for 17 and earlier versions. Due to irrevocable internal API changes, plugin support was completely removed in 19.

  * 18 was skipped for 19-aurora.
  * ~~"19b1"~~ (released 13 January 2013). Upgrade to new compiler and toolchain. AltiVec-accelerated blurring and shadows. Font performance improvements.
  * ~~19 beta final.~~ Released 14 February 2013.
  * ~~19.0.2.~~ Released 9 March 2013. Out-of-cycle security update. Note: there was no 19.0.1 release; that version number was reserved for an interim mobile Firefox release.
  * ~~20 beta.~~ Released 2 April 2013. Also includes IndexedDB fix.
  * ~~21 beta.~~ Released 8 May 2013.
  * ~~22 beta.~~ Released 25 June 2013. Also includes colour management fix.
  * ~~22.0.1.~~ Released 11 August 2013. Performance improvements to opacity, CPU cores, gradients and garbage collection. This is an interim release that does not correspond to an official version of Firefox. 23 beta was skipped for work on 24.
  * ~~22.0.2.~~ Released 21 September 2013. Bugfixes to methodjit and script timeouts. This is an interim release that does not correspond to an official version of Firefox. There are no more updates planned for 22.0.

## TenFourFox 24 (stable) ##

24 was also based on the Firefox ESR. It removed the old JaegerMonkey JavaScript compiler, replacing it with PPCBC, the PowerPC-optimized version of Mozilla BaselineCompiler.

Like 10ESR and 17ESR, although it received some 10.4Fx feature work, it did not receive new Mozilla features, though it did receive critical security and bug fixes.

Unlike previous ESR versions, this ESR introduced a more typical major-minor numbering system with the third number incremented only for chemspills and emergency releases.

  * ~~24.0 beta.~~ Released 16 October 2013.
  * ~~24.1 beta.~~ Released 7 November 2013. Downloads moved to SourceForge because Google is a big meanie.
  * ~~24.2 final~~, completing the transition, released 7 December 2013.
  * ~~24.3~~ (released 2 February 2014). Bug fixes. Converted to release 3 February 2014.
  * ~~24.4~~ (released 16 March 2014). Bug fixes. Converted to release 17 March 2014.
  * ~~24.5~~ (released 25 April 2014). Bug fixes. Converted to release 27 April 2014.
  * ~~24.6~~ (released 7 June 2014). Converted to release 9 June 2014.
  * ~~24.7~~ (released 21 July 2014).

Support for 24.x ended with 24.7. There are no more updates planned for 24.0.

## TenFourFox unstable (26-29) ##

Versions 26 and 29 were only released as betas. The new Australis interface was introduced in version 29.

  * 25 was skipped for further work on 24.
  * 26 was issued as changesets only.
  * 27 and 28 were skipped for Australis work on 29.
  * ~~29 beta.~~ Released 29 April 2014 for G5 and G4-7450 only (for 10.5 testing). Introduces Australis interface. Tweaked garbage collection. Improved `xptcall` performance, especially on G5.
  * 30 was skipped for work on 31.

## TenFourFox 31 (stable) ##

This is the current stable release for TenFourFox. Like previous ESR stable releases, it received some 10.4Fx feature work and critical security and bug fixes.

  * ~~31.0 beta 1.~~ Released 16 June 2014.
  * ~~31.0 beta 2.~~ Released 20 June 2014. Critical fixes including [issue 276](https://code.google.com/p/tenfourfox/issues/detail?id=276).
  * ~~31.0 beta 3.~~ Released 4 July 2014. Performance improvements.
  * ~~31.0 final~~ (released 18 July 2014). Converted to release 21 July 2014.
  * ~~31.1.0~~ (released 30 August 2014). Performance improvements, fix to trackpad scrolling. Converted to release 1 September 2014.
  * ~~31.1.1~~ (released 24 September 2014). Out-of-cycle security update.
  * ~~31.2.0~~ (released 11 October 2014). Converted to release 13 October 2014.
  * ~~31.3.0~~ (released 27 November 2014). Performance improvements. Converted to release 8 December 2014.
  * ~~31.4.0~~ (released 10 January 2015). Performance improvements to garbage collection and streaming, and bug fixes. Converted to release 12 January 2015.
  * ~~31.5.0~~ (released 21 February 2015). Converted to release 23 February 2015.
  * ~~31.6.0~~ (released 29 March 2015). Converted to release 31 March 2015.
  * ~~31.7.0~~ (released 9 May 2015). Converted to release 11 May 2015.
  * 31.8.0 (released 26 June 2015).

Support for 31.x will end with 31.8.0. There are no more updates planned for 31.0.

## TenFourFox unstable (33-36) ##

These releases were changeset-only.

## TenFourFox 38 ##

This is the next scheduled stable release for TenFourFox. IonPower and MP3 audio support is scheduled for this release, timetable and milestones permitting. This will be the final browser build to support `gcc` 4.6.

  * ~~38.0.1 beta 1~~. Released 28 June 2015.
  * 38.1.1 beta 2. Released 1 August 2015. Critical fixes.
  * 38.2 final scheduled for 11 August 2015

## TenFourFox 39+ ##

Under review due to technical limitations of OS X Tiger.